Package twisted :: Package protocols :: Module imap4 :: Class IMessageCopier

[frames | no frames]

## Class IMessageCopier

    Interface --+
                |
               IMessageCopier

Method Summary
`Deferred` or `int` | ``copy`(self, messageObject)` Copy the given message object into this mailbox.

Method Details

### copy(self, messageObject)

Copy the given message object into this mailbox.

The message object will be one which was previously returned by `IMailbox.fetch`.

Implementations which wish to offer better performance than the default implementation should implement this interface.

If this interface is not implemented by the mailbox, IMailbox.addMessage will be used instead.

  Returns:
    Either the UID of the message or a Deferred which fires with the UID when the copy finishes.
    (type=`Deferred` or `int`)

Generated by Epydoc 2.0 on Sat May 15 20:08:07 2004 | http://epydoc.sf.net